BaroclineBarocline
DexterWeather Report Perils

getWVR

Returns weather verification report information for the supplied coordinates, peril and date.

POST
/api/v3/dexter/wvr

Returns weather verification response containing status, code, and hourly data.

Query Parameters

userKey*string

The user key.

Request Body

application/json

The data request

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://dexter.atheniumanalytics.com/api/v3/dexter/wvr?userKey=string" \  -H "Content-Type: application/json" \  -d '{    "lat": 0.1,    "lon": 0.1,    "date": "string",    "peril": "heat,cold,rain,freezingrain,wind,snow,precipitation",    "units": "IMPERIAL,METRIC"  }'
{
  "description": "string",
  "lat": 0.1,
  "lon": 0.1,
  "peril": "Cold",
  "claimDate": "string",
  "claimTime": "string",
  "units": "string",
  "totalPeril": 0.1,
  "maxSustained": 0.1,
  "sustainedBeforeEvent": 0.1,
  "hourOfMaxPeril": "string",
  "hourOfMaxSustained": "string",
  "data": [
    {
      "dateHrLwt": "string",
      "dateHrGmt": "string",
      "windSpeed": 0.1,
      "hail": 0.1,
      "temperature": 0.1,
      "rain": 0.1,
      "precipitation": 0.1,
      "freezingRain": 0.1,
      "snow": 0.1,
      "gust": 0.1
    }
  ]
}
Empty
Empty
Empty